/*--------------------------------------------------------------------------
     (C) Copyright Novell, Inc. 1991  All Rights Reserved.

 No part of this file may be duplicated, revised, translated, localized or
 modified in any manner or compiled, linked, or uploaded or downloaded to or
 from any computer system without the prior written consent of Novell, Inc.
--------------------------------------------------------------------------*/
#ifndef NWMSG_INC
#define NWMSG_INC

#ifndef NWCALDEF_INC
#include <nwcaldef.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

NWCCODE NWAPI NWDisableBroadcasts(NWCONN_HANDLE conn);
NWCCODE NWAPI NWEnableBroadcasts(NWCONN_HANDLE conn);

NWCCODE NWAPI NWSendBroadcastMessage(
  NWCONN_HANDLE conn,
  char NWPTR message,
  WORD connCount,
  WORD NWPTR connList,
  BYTE NWPTR resultList);

NWCCODE NWAPI NWGetBroadcastMessage(
  NWCONN_HANDLE conn,
  char NWPTR message);

NWCCODE NWAPI NWGetBroadcastMode(NWCONN_HANDLE conn, WORD NWPTR mode);
NWCCODE NWAPI NWSetBroadcastMode(NWCONN_HANDLE conn, WORD mode);
NWCCODE NWAPI NWBroadcastToConsole(NWCONN_HANDLE conn, char NWPTR message);

NWCCODE NWAPI NWSendConsoleBroadcast(
  NWCONN_HANDLE conn,
  char NWPTR message,
  WORD connCount,
  WORD NWPTR connList);
#ifdef __cplusplus
}
#endif

#endif

